#ifdef WATCOM
#include <windows.h>
#endif
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "engine.h"

#define LINELEN 1024

#ifdef WATCOM
int PASCAL WinMain (HANDLE hInstance,
						 HANDLE hPrevInstance,
						 LPSTR  lpszCmdLine,
						 int    nCmdShow)
#else
int main(int argc, char **argv)
#endif
{
	Engine *ep;
        char line[LINELEN];
	size_t len;
	FILE *fp;

	/*
	 * Start the MATLAB engine 
	 */
#ifdef WATCOM
	if (!(ep = engOpen(NULL))) {
		MessageBox ((HWND)NULL, (LPSTR)"Can't start MATLAB engine", 
			(LPSTR) "matplot.c", MB_OK);
		exit(-1);
	}

	if ((fp = fopen("matplot.m","r")) == NULL) {
		MessageBox ((HWND)NULL, (LPSTR)"Can't open data file", 
			(LPSTR) "matplot.m", MB_OK);
		exit(-1);
	}	
#else
	if (!(ep = engOpen("\0"))) {
		fprintf(stderr, "\nCan't start MATLAB engine\n");
		return EXIT_FAILURE;
	}
	if ((fp = fopen("matplot.m","r")) == NULL) {
		fprintf(stderr, "\nCan't open data file\n");
		return EXIT_FAILURE;
	}	
#endif
	
	/* engEvalString(ep, "figure(1);"); */
	while (fgets(line,LINELEN,fp) != NULL) {
        	engEvalString(ep, line);
        	engEvalString(ep, ";");
        }
	fclose(fp);

#ifdef WATCOM
	/* engEvalString(ep, "pause;"); */
	engClose(ep);

	return(0);
#else
	if (argc > 1) {
	  printf("\nHit return to continue\n");
	  fgetc(stdin);
	}
	engClose(ep);

	return EXIT_SUCCESS;
#endif
}

